Project

General

Profile

Bug #1834

Support for ruby 1.9.x

Added by Dmitri Dolguikh almost 10 years ago. Updated over 9 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Rails
Target version:
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

A bunch of syntax issues need fixing, and at least one gem (safemode) needs updating.


Related issues

Related to Foreman - Bug #2063: minitest / mocha test failures on Ruby 1.9Closed2012-12-20
Blocks Foreman - Bug #2029: Build PXE Default fails with "exp not empty after Safemode::Parser.process_call"...Resolved2012-12-10

Associated revisions

Revision 71291a46 (diff)
Added by Dmitri Dolguikh over 9 years ago

fixes #1834 to get foreman running under ruby 1.9.3

History

#1 Updated by Ohad Levy almost 10 years ago

I've added a couple of travis tests, you could see that 1.93 and 1.92 tests are failing due to different reasons

http://travis-ci.org/#!/theforeman/foreman

#2 Updated by Ohad Levy over 9 years ago

  • Category set to Rails
  • Status changed from New to Assigned
  • Target version set to 1.1

#3 Updated by Ohad Levy over 9 years ago

#4 Updated by Ohad Levy over 9 years ago

  • Subject changed from Support for ruby 1.9.2 to Support for ruby 1.9.x

#5 Updated by Anonymous over 9 years ago

  • Status changed from Assigned to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF